#include <math.h>
#include <lal/LALStdlib.h>
#include <lal/Inspiral.h>

NRCSID (TOFVINTEGRANDC, "$Id: TofVIntegrand.c,v 1.3 2000/11/09 23:37:20 jolien Exp $"); 


void LALTofVIntegrand (LALStatus *status,
		   REAL8 *integrand,
		   REAL8 v,
		   void *params)
{

   TofVIntegrandIn *ak;

   INITSTATUS (status, "LALTofVIntegrand", TOFVINTEGRANDC);

   ASSERT (integrand, status, TOFVINTEGRAND_ENULL, TOFVINTEGRAND_MSGENULL);
   ASSERT (params, status, TOFVINTEGRAND_ENULL, TOFVINTEGRAND_MSGENULL);



   ak = (TofVIntegrandIn *) params;

   *integrand = ak->dEnergy(v, ak->coeffs)/ak->flux(v, ak->coeffs);

   RETURN (status);


}
